#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    string A;
    string B;
    string C;
    string ABC;
    string ACB;
    string BAC;
    string BCA;
    string CAB;
    string CBA;
    cin >>A;
    cin >>B;
    cin >>C;
    ABC=A+B+C;
    BAC=B+A+C;
    CAB=C+A+B;
    ACB=A+C+B;
    BCA=B+C+A;
    CBA=C+B+A;
    if(ABC>=ACB && ABC>=BAC && ABC>=BCA && ABC>=CAB && ABC>=CBA)
        cout << ABC;
    else if(BAC>=ACB && BAC>=ABC && BAC>=BCA && BAC>=CAB && BAC>=CBA)
        cout << BAC;
    else if(BCA>=ACB && BCA>=BAC && BCA>=ABC && BCA>=CAB && BCA>=CBA)
        cout << BCA;
    else if(ACB>=ABC && ACB>=BAC && ACB>=BCA && ACB>=CAB && ACB>=CBA)
        cout << ACB;
    else if(CBA>=ACB && CBA>=BAC && CBA>=BCA && CBA>=CAB && CBA>=ABC)
        cout << CBA;
    else if(CAB>=ACB && CAB>=BAC && CAB>=BCA && CAB>=ABC && CAB>=CBA)
        cout << CAB;
    return 0;
}